Spoofchecker::setChecks
Transliterator::__construct
intl
PHP Manual

# The Transliterator class

(PHP >= 5.4.0, PECL intl >= 2.0.0)

## Introduction

Transliterator provides transliteration of strings.

## Class synopsis

Transliterator {
/* Constants */
const integer FORWARD = 0 ;
const integer REVERSE = 1 ;
/* Properties */
public $id ;
/* Methods */
__construct ( void )
public static Transliterator create ( string `$id` [, int `$direction` ] )
public static Transliterator createFromRules ( string `$rules` [, string `$direction` ] )
public Transliterator createInverse ( void )
public int getErrorCode ( void )
public string getErrorMessage ( void )
public static array listIDs ( void )
public string transliterate ( string `$subject` [, int `$start` [, int `$end` ]] )
}

## Properties

id

## Predefined Constants

`Transliterator::FORWARD`

`Transliterator::REVERSE`

## Table of Contents

- Transliterator::__construct — Private constructor to deny instantiation
- Transliterator::create — Create a transliterator
- Transliterator::createFromRules — Create transliterator from rules
- Transliterator::createInverse — Create an inverse transliterator
- Transliterator::getErrorCode — Get last error code
- Transliterator::getErrorMessage — Get last error message
- Transliterator::listIDs — Get transliterator IDs
- Transliterator::transliterate — Transliterate a string

Spoofchecker::setChecks
Transliterator::__construct
intl
PHP Manual